## jfractionlab 0.84

=== debian/changelog ===
jfractionlab (0.84-2) unstable; urgency=low

  * Fix bashism in JFractionLab script (Closes: #581115)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 26 May 2010 10:52:09 +0200

jfractionlab (0.84-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control: added quilt build dependency

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 18 Apr 2010 11:12:12 +0200

jfractionlab (0.83-3) unstable; urgency=low

  * Moving this package to main, as libtablelayout-java is now free
  * debian/control: bumped standards version to 3.8.4
   
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 08 Feb 2010 20:03:51 +0100

jfractionlab (0.83-2) unstable; urgency=low

  * Fixed launcher to allow more jdk's
  * Included some missing classes in the main jar file

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 09 Jan 2010 18:11:05 +0100

jfractionlab (0.83-1) unstable; urgency=low

  * New upstream release (Now, it autodetects the system language)
  * Updated debian/patches/01-add_version.patch

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 08 Jan 2010 13:14:20 +0100

jfractionlab (0.82-2) unstable; urgency=low

  * Fixed debian/copyright file
   
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 20 Dec 2009 16:27:48 +0100

jfractionlab (0.82-1) unstable; urgency=low

  * Initial release (Closes: #557334)  

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 04 Dec 2009 17:44:58 +0100
