=== debian/control ===
Source: jfractionlab
Section: math
Priority: extra
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper (>= 7), openjdk-6-jdk, quilt, libtablelayout-java
Standards-Version: 3.8.4
Homepage: http://jfractionlab.sourceforge.net/

Package: jfractionlab
Architecture: all
Depends: ${misc:Depends}, openjdk-6-jre | java6-runtime, libtablelayout-java
Description: Educative program to practice fractions
 JFractionLab is a nice tool for math students that are learning the use
 and operation of fractions.
 .
 It provides a collection of nice exercices with a numeric and visual 
 representation of the fractions.
 .
 JFractionLab shows the user every step of the calculation and therefore
 helps him to understand them.
 .
 It gives the user an answer after each input, making impossible to have
 a false answer.
