=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/quilt/quilt.make

JAVA_HOME=/usr/lib/jvm/java-6-openjdk/
CLASSPATH=src:/usr/share/java/tablelayout.jar
#export VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

build: patch build-stamp

build-stamp:
	dh_testdir
	#compile java sources
	find src/jfractionlab -name *.java -and -type f -print0 | xargs -0 ${JAVA_HOME}/bin/javac -client  -cp ${CLASSPATH}
	find src/lang -name *.java -and -type f -print0 | xargs -0 ${JAVA_HOME}/bin/javac -client  -cp ${CLASSPATH}
	#create help jars:
	${JAVA_HOME}/bin/jar cf Help_en.jar -C doc/help_en/ .
	${JAVA_HOME}/bin/jar cf Help_es.jar -C doc/help_es/ .
	${JAVA_HOME}/bin/jar cf Help_fr.jar -C doc/help_fr/ .
	${JAVA_HOME}/bin/jar cf Help_de.jar -C doc/help_de/ .
	#move stuff to do the main jar:
	mkdir -p build/jfractionlab/displays
	mkdir -p build/jfractionlab/exerciseDialogs
	mkdir -p build/jfractionlab/jflOptionDialogs
	mkdir -p build/jfractionlab/worksheets
	mkdir -p build/lang
	mv src/jfractionlab/displays/*class build/jfractionlab/displays
	mv src/jfractionlab/exerciseDialogs/*class build/jfractionlab/exerciseDialogs
	mv src/jfractionlab/jflOptionDialogs/*class build/jfractionlab/jflOptionDialogs
	mv src/jfractionlab/worksheets/*class build/jfractionlab/worksheets	
	mv src/jfractionlab/*class build/jfractionlab
	mv src/lang/*class build/lang
	cp src/lang/*properties build/lang
	mv Help_*.jar build/
	cp -a icons build
	cp debian/myManifest build/
	#make application jar:
	${JAVA_HOME}/bin/jar cmf debian/myManifest JFractionLab.jar -C build/ .
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	find . -name "*.jar" -delete
	find . -name "*.class" -delete
	chmod 644 icons/*
	rm -f src/myManifest
	rm -Rf build
	${MAKE} -f debian/rules unpatch	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	


binary-arch: build install


# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installexamples
	dh_install 
	dh_installmenu
	dh_installman debian/*.1
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
