## jfractionlab 0.86

=== debian/changelog ===
jfractionlab (0.86-1) unstable; urgency=low

  * New upstream release:
    - new package "logtable"
    - it does not suggest texlive-lang-german anymore

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 31 Dec 2010 17:12:11 +0100

jfractionlab (0.85.2-1) unstable; urgency=low

  * New upstream release

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 22 Nov 2010 12:34:13 +0100
