=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: jfractionlab
 Architecture: all
 Depends: ${misc:Depends}, openjdk-6-jre | java6-runtime, libtablelayout-java
+Suggests: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
 Description: Educative program to practice fractions
  JFractionLab is a nice tool for math students that are learning the use
  and operation of fractions.
