=== debian/rules ===
--- 
+++ 
@@ -14,19 +14,22 @@
 	find src/jfractionlab -name *.java -and -type f -print0 | xargs -0 ${JAVA_HOME}/bin/javac -client  -cp ${CLASSPATH}
 	find src/lang -name *.java -and -type f -print0 | xargs -0 ${JAVA_HOME}/bin/javac -client  -cp ${CLASSPATH}
 	#create help jars:
-	${JAVA_HOME}/bin/jar cf Help_en.jar -C doc/help_en/ .
-	${JAVA_HOME}/bin/jar cf Help_es.jar -C doc/help_es/ .
-	${JAVA_HOME}/bin/jar cf Help_fr.jar -C doc/help_fr/ .
-	${JAVA_HOME}/bin/jar cf Help_de.jar -C doc/help_de/ .
+	${JAVA_HOME}bin/jar cf Help_de.jar -C doc/help_de/ .
+	${JAVA_HOME}bin/jar cf Help_en.jar -C doc/help_en/ .
+	${JAVA_HOME}bin/jar cf Help_es.jar -C doc/help_es/ .
+	${JAVA_HOME}bin/jar cf Help_fr.jar -C doc/help_fr/ .
+	${JAVA_HOME}bin/jar cf Help_pt.jar -C doc/help_pt/ .
 	#move stuff to do the main jar:
 	mkdir -p build/jfractionlab/displays
 	mkdir -p build/jfractionlab/exerciseDialogs
-	mkdir -p build/jfractionlab/jflOptionDialogs
+	mkdir -p build/jfractionlab/jflDialogs
+	mkdir -p build/jfractionlab/logtable
 	mkdir -p build/jfractionlab/worksheets
 	mkdir -p build/lang
 	mv src/jfractionlab/displays/*class build/jfractionlab/displays
 	mv src/jfractionlab/exerciseDialogs/*class build/jfractionlab/exerciseDialogs
-	mv src/jfractionlab/jflOptionDialogs/*class build/jfractionlab/jflOptionDialogs
+	mv src/jfractionlab/jflDialogs/*class build/jfractionlab/jflDialogs
+	mv src/jfractionlab/logtable/*class build/jfractionlab/logtable
 	mv src/jfractionlab/worksheets/*class build/jfractionlab/worksheets	
 	mv src/jfractionlab/*class build/jfractionlab
 	mv src/lang/*class build/lang
