## jfractionlab 0.91

=== debian/changelog ===
jfractionlab (0.91-3) unstable; urgency=low

  * Fixes debian/rules to avoid javapath error (Closes: #741799)
  * debian/changelog: updated to machine readable format.
  * debian/docs: remove CHANGELOG.txt entry causing duplications
  * Bumped standards to 3.9.5, no changes needed.
  * Added lintian overrides file for help files without java
    classes, only html and graphic files.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 29 May 2014 20:11:47 +0200

jfractionlab (0.91-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to default java implementation; fix java7
    compatibility":
    apply patch from Ubuntu / James Page:

    Transition package to use default java implementation:
    - d/control: Use default-{jdk|jre} instead of openjdk-6-{jdk|jre}.
    - d/rules: Set JAVA_HOME to /usr/lib/jvm/default-java, specify
      source/target = 1.5 to ensure bytecode is backwards compatible.

    Additionally remove now unused DEB_BUILD_ARCH variable from debian/rules.

    (Closes: #683550)

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 May 2013 21:36:10 +0200

jfractionlab (0.91-2) unstable; urgency=low

  * Fixed desktop file generic name entries. Thanks to Ronny Standtke.
    (Closes: #641736)
  * debian/rules: Finds correctly JAVA_HOME path. Thanks to Hideki Yamane.
   (Closes: #640570)
  
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 08 Jan 2012 10:59:29 +0100

jfractionlab (0.91-1) unstable; urgency=low

  * New upstream release
  * debian/patches/* refreshed
  * debian/control: 
    - added openoffice.org-java-common dependencies
    - changed suggestions from latex to libreoffice | openoffice, as
     jFractionLab now uses openoffice to print reports
    - bumped standards to 3.9.2 : removed quilt build dependency
  * Modifications in the classpath in debian/rules 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 09 Dec 2011 19:34:56 +0100
