=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: math
 Priority: extra
 Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
-Build-Depends: debhelper (>= 7), openjdk-6-jdk, quilt, libtablelayout-java
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), default-jdk, libtablelayout-java, libreoffice-java-common | openoffice.org-java-common
+Standards-Version: 3.9.5
 Homepage: http://jfractionlab.sourceforge.net/
 
 Package: jfractionlab
 Architecture: all
-Depends: ${misc:Depends}, openjdk-6-jre | java6-runtime, libtablelayout-java
-Suggests: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
+Depends: ${misc:Depends}, default-jre | java6-runtime, libtablelayout-java
+Recommends: libreoffice.org-calc | openoffice.org-calc, libreoffice.org-writer | openoffice.org-writer
 Description: Educative program to practice fractions
  JFractionLab is a nice tool for math students that are learning the use
  and operation of fractions.
