## jfractionlab 0.92

=== debian/changelog ===
jfractionlab (0.92-3) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/rules: use java_compat_level variable provided by java-common to
    adjust -source/-target level to the minimum required by the default
    Java (Closes: #1053031).

  [ tony mancill ]
  * Set Rules-Requires-Root: no in debian/control
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.2
  * Freshen debian/copyright
  * Update Homepage URL to use https

 -- tony mancill <tmancill@debian.org>  Fri, 24 Nov 2023 21:38:07 -0800

jfractionlab (0.92-2) unstable; urgency=medium

  * Team upload.
  * The package is now co-maintained with the Java Team
  * Build with the DH sequencer
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2019 12:45:07 +0200

jfractionlab (0.92-1) unstable; urgency=medium

  * New upstream version
  * debian/patches:
    - refreshed current patches
    - added fix_depecrated_java_method
  * debian/rules: fix java9 compilation (Closes: #893197)
  * debian/menu removed due to Debian Policy 9.6
  * added templates to /usr/share/jfractionlab/templates (Closes: #703516)
  * debian/control:
    - updated java dependencies
    - bumped standards version to 4.1.3.0

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 04 Apr 2018 12:11:58 +0200
