=== debian/control ===
Source: jfractionlab
Section: math
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper-compat (= 13),
 default-jdk,
 libtablelayout-java,
 libreoffice-java-common | openoffice.org-java-common
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/jfractionlab.git
Vcs-Browser: https://salsa.debian.org/java-team/jfractionlab
Homepage: https://jfractionlab.sourceforge.net/
Rules-Requires-Root: no

Package: jfractionlab
Architecture: all
Depends: ${misc:Depends}, default-jre | java7-runtime, libtablelayout-java
Recommends: libreoffice.org-calc | openoffice.org-calc, libreoffice.org-writer | openoffice.org-writer
Description: Educative program to practice fractions
 JFractionLab is a nice tool for math students that are learning the use
 and operation of fractions.
 .
 It provides a collection of nice exercices with a numeric and visual
 representation of the fractions.
 .
 JFractionLab shows the user every step of the calculation and therefore
 helps him to understand them.
 .
 It gives the user an answer after each input, making impossible to have
 a false answer.
