=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/java/java_defaults.mk

UNOIL_PATH1= $(shell dpkg -L libreoffice-java-common | grep share | grep unoil.jar|head -1)
UNOIL_PATH2= $(shell dpkg -L openoffice-java-common | grep share | grep unoil.jar|head -1)
UNOIL_PATH=$(UNOIL_PATH1)$(UNOIL_PATH2)
CLASSPATH=src:/usr/share/java/tablelayout.jar:/usr/share/java/java_uno.jar:/usr/share/java/juh.jar:/usr/share/java/jurt.jar:/usr/share/java/ridl.jar:/usr/share/java/unoloader.jar:$(UNOIL_PATH)

JAVA_ARGS=-source $(java_compat_level) -target $(java_compat_level) -encoding ISO-8859-1

%:
	dh $@

override_dh_auto_build:
	mkdir -p target/classes

	# compile java sources
	find src/jfractionlab -name *.java -and -type f -print0 | xargs -0 /usr/bin/javac -client ${JAVA_ARGS} -d target/classes -cp ${CLASSPATH}
	find src/lang         -name *.java -and -type f -print0 | xargs -0 /usr/bin/javac -client ${JAVA_ARGS} -d target/classes -cp ${CLASSPATH}

	# create help jars
	for lang in de en es fr pt; do \
	  jar cf target/Help_$$lang.jar -C doc/help_$$lang/ . ; \
	done

	# add the resources to do the main jar
	cp src/lang/*.properties target/classes/lang
	cp -a icons target/classes

	# make application jar
	jar cmf debian/myManifest target/JFractionLab.jar -C target/classes .
